mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

For additional information about FUNCFLAGS, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Identifies the constants that define the properties of a function.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  The function that supports data binding.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  The function that best represents the object. Only one function in a type can have this attribute.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  Permits an optimization in which the compiler looks for a member named "xyz" on the type of "abc". If such a member is found, and is flagged as an accessor function for an element of the default collection, a call is generated to that member function. Permitted on members in dispinterfaces and interfaces; not permitted on modules.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  The function that is displayed to the user as bindable. must also be set.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  The function should not be displayed to the user, although it exists and is bindable.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  Mapped as individual bindable properties.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  The property appears in an object browser, but not in a properties browser.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  Tags the interface as having default behaviors.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  When set, any call to a method that sets the property results first in a call to IPropertyNotifySink::OnRequestEdit. The implementation of OnRequestEdit determines if the call is allowed to set the property.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  The function should not be accessible from macro languages. This flag is intended for system-level functions or functions that type browsers should not display.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  The function returns an object that is a source of events.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  The type information member is the default member for display in the user interface.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.FUNCFLAGS

  The function supports GetLastError. If an error occurs during the function, the caller can call GetLastError to retrieve the error code.